Bug 107060 - Dell OEM SB Live 5.1 Card doesn't work with EMU10K1 drivers
Dell OEM SB Live 5.1 Card doesn't work with EMU10K1 drivers
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-14 14:17 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-16 11:33:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-10-14 14:17:29 EDT
Description of problem:
Dell provide a tweaked version of the Creative SoundBlaster Live 5.1 card with 
many of their Dimension desktops, which doesn't work with the EMU10K1 driver 
provided with Fedora. Although this driver is fine with Creative SB Live 5.1 
cards, the Dell OEM card requires the EMU10K1X driver, which is only provided 
by 4Front technologies - at a price of $45 :-(

can someone work with Dell to get a version of this EMU10K1X driver into 
Fedora, please?

Thanks.

Here are some URL's which should help understand the issue...

http://delltalk.us.dell.com/supportforums/board/message?
board.id=dim_audio&message.id=39953

http://forums.us.dell.com/supportforums/board/message?
board.id=sw_linux&message.id=3750

http://forums.us.dell.com/supportforums/board/message?
board.id=sw_linux&message.id=3340

http://sourceforge.net/projects/emu10k1

http://www.opensound.com/


Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Install Fedora.
2. The sound doesn't work.
3. Type "insmod emu10k1".
4. It barfs.
5. Install the EMU10K1X driver from 4Front Tech.
6. Sound works.
7. It's cost you $45 for the privilege :-(
    
Actual results:
The sound doesn't work with the EMU10K1 driver in Fedora, but does work with 
the EMU10K1X driver from 4Front Technologies.

Expected results:
I would have expected a Dell OEM card to work with Fedora, as Fedora is closely 
related to RedHat, and RedHat work closely with Dell. I've never had problems 
with Dell hardware under RedHat Linux before.

Additional info:
Comment 1 Dave Jones 2003-10-16 11:33:56 EDT
This is unlikely to be fixed any time soon.
The DSP is now software emulated, which means a considerable amount of the
driver is missing.

Note You need to log in before you can comment on or make changes to this bug.